<?php


namespace App\Classes\Modules\Warehouses\DataTransferObjects;

class WarehouseObject
{

    /** @var  string */
    private $name;

    /** @var  string */
    private $email;

    /** @var string */
    private $street_one;

    /** @var string */
    private $street_two;

    /** @var string */
    private $city;

    /** @var string */
    private $state;

    /** @var string */
    private $post_code;

    /** @var string */
    private $country;

    /**
     * WarehouseObject constructor.
     * @param string $name
     * @param string $email
     * @param string $street_one
     * @param string $street_two
     * @param string $city
     * @param string $state
     * @param string $post_code
     * @param string $country
     */
    public function __construct(string $name, string $email, string $street_one, string $street_two, string $city, string $state, string $post_code, string $country)
    {
        $this->name = $name;
        $this->email = $email;
        $this->street_one = $street_one;
        $this->street_two = $street_two;
        $this->city = $city;
        $this->state = $state;
        $this->post_code = $post_code;
        $this->country = $country;
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @return string
     */
    public function getEmail(): string
    {
        return $this->email;
    }

    /**
     * @return string
     */
    public function getStreetOne(): string
    {
        return $this->street_one;
    }

    /**
     * @return string
     */
    public function getStreetTwo(): string
    {
        return $this->street_two;
    }

    /**
     * @return string
     */
    public function getCity(): string
    {
        return $this->city;
    }

    /**
     * @return string
     */
    public function getState(): string
    {
        return $this->state;
    }

    /**
     * @return string
     */
    public function getPostCode(): string
    {
        return $this->post_code;
    }

    /**
     * @return string
     */
    public function getCountry(): string
    {
        return $this->country;
    }






}